
//Pin uscita impulsi
#define out1 RB0 //servo 1
#define out2 RB1 //servo 2
#define out3 RB2 //servo 3
#define out4 RB3 //servo 4

//Pulsanti
#define UP BT1 //pulsante aumento tempo impulso
#define DN BT2 //pulsante riduzione tempo impulso
#define EN BT3 //pulsante ON/OFF servo
#define NX BT4 //pulsante selezione servomotore successivo

#define BOUNCE 200 //tempo antirimbalzo pulsanti
#define BTNrepeat 7000 //tempo di ripetizione pulsante

//Valori temporizzazioni servomotori
#define servo_max 60 //valore limite superiore tempo servo
#define servo_min 1 //valore limite inferiore tempo servo
#define servo_c 30 //valore posizione centrale (default)
#define servo_pause 150 //pausa tra un impulso e l'altro


#define TMR0_preload 26
#define testpin RC7

#define PIC_CLK 20000000